Bug 688587 - Download subtitles plugin is broken
Summary: Download subtitles plugin is broken
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedNTH
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-17 12:32 UTC by Mathieu Bridon
Modified: 2011-03-31 12:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-31 12:43:02 UTC


Attachments (Terms of Use)

Description Mathieu Bridon 2011-03-17 12:32:21 UTC
Description of problem:
I enabled the subtitle downloader plugin in Totem, but the menu entry doesn't appear in View -> Subtitles.

Running totem in a terminal, I get:
$ totem
Gtk-Message: Failed to load module "pk-gtk-module"

** (totem:12596): WARNING **: Failed to load shared library 'libcairo.so' referenced by the typelib: libcairo.so: cannot open shared object file: No such file or directory
/usr/lib64/python2.7/site-packages/gobject/propertyhelper.py:159: Warning: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed
  value = instance.get_property(self.name)
Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 318, in do_activate
    self.manager = self.totem.get_ui_manager()
AttributeError: 'NoneType' object has no attribute 'get_ui_manager'

Closing Totem I then get:
Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 333, in do_deactivate
    self.os_delete_menu()
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 468, in os_delete_menu
    self.manager.remove_action_group(self.os_action_group)
AttributeError: 'OpenSubtitles' object has no attribute 'manager'


Version-Release number of selected component (if applicable):
totem-2.91.91-1.fc15.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Enable the "Subtitles downloader" plugin
2. Run Totem
  

Actual results:
No subtitle downloader plugin, traceback in the terminal.


Expected results:
Enjoy your movie with freshly downloaded subtitles.

Comment 1 Mathieu Bridon 2011-03-25 02:44:24 UTC
This is a regression from Fedora 14, in one of the default packages (at least for the desktop spin), but not in the core functionality (totem can still play movies and display subtitles, just not download them).

For this reason, I am proposing this bug as a Nice To Have for Fedora 15 Beta.

Comment 2 Adam Williamson 2011-03-25 18:50:33 UTC
Discussed at 2011-03-25 blocker review meeting, we agreed this does not seem serious enough to break a freeze for, so rejected as NTH. It can reasonably be fixed with an update.

Comment 3 Luis Medinas 2011-03-29 22:38:19 UTC
Fixed in update http://koji.fedoraproject.org/koji/buildinfo?buildID=236269

Comment 4 Bastien Nocera 2011-03-31 12:43:02 UTC
More subtitles downloader bug fixes are coming in the next upstream release (hopefully 3.0).


Note You need to log in before you can comment on or make changes to this bug.